<div class="content-header row">
  <div class="content-header-left col-md-9 col-12 mb-2">
    <div class="row breadcrumbs-top">
      <div class="col-12">
        <h2 class="content-header-title float-left mb-0">Liste des Devis</h2>
      
      </div>
    </div>
  </div>
  <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
    <div class="form-group breadcrum-right">
      <div class="dropdown">
        <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
        <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
      </div>
    </div>
  </div>
</div>
<section id="data-thumb-view" class="data-thumb-view-header">
  <div class="row">
      <div class="col-12">
          <div class="card">
              <div class="card-header">
                  <h4 class="card-title"></h4>
              </div>
              <div class="card-content">

                  <div class="card-body card-dashboard">

                      <div class="table-responsive">
                          <a  href="creation_devis" class="btn mr-1 mb-1 btn-outline-primary btn-sm waves-effect waves-light" style=" margin-left: 2px;">Nouveau Devis</a>

                          <table class="table zero-configuration table-striped" >

                              <thead>
                                  <tr>
                                      <th>Risque</th>
                                      <th>Famille</th>
                                      <th>client</th>
                                      <th>numero.Police</th>
                                      <th>Delai Preavis</th>
                                      <th>Voiture</th>
                                      <th>Date.Effet</th>
                                      <th>Date.Fin</th>
                                      <th>Montant.Agence</th>
                                      <th>Montant.TTC</th>
                                      <th>ACTION</th>
                                  </tr>
                              </thead>
                              <tbody>
                                  <tr *ngFor="let d of devis; index as i">
                                    <ng-container *ngFor="let r of risque">

                                    <td class="product-category" *ngIf="d.risqueId === r.id">{{r.nom}}</td>
                                    </ng-container>
                                    <ng-container *ngFor="let f of famille">

                                    <td class="product-category" *ngIf="d.familleproduitId === f.id">{{f.nom}}</td>
                                    </ng-container>
                                    <ng-container *ngFor="let c of client">

                                    <td class="product-category" *ngIf="d.clientId === c.id">{{c.nom}}</td>
                                    </ng-container>
                                    <td class="product-category">{{d.numeroPolice}}</td>
                                    <td class="product-category">{{d.delaiPreavis}}</td>
                                    <ng-container *ngFor="let v of voiture">
                                    <td class="product-category" *ngIf="d.voitureId === v.id">{{v.immatriculation}}</td>
                                    </ng-container>                                   
                                    <td class="product-category">{{d.dateEffet |  date:'medium'}}</td>
                                    <td class="product-category">{{d.dateFin |  date:'medium'}}</td>
                                   
                                    <td class="product-name">{{d.montantAgence}}</td>
                                    <td class="product-name">{{d.montantTTC}}</td>
                                    <td class="product-action">
                                      
                          
                                      <div class="dropdown">
                                       <a class="dropdown-toggle" data-toggle="dropdown" href="#" aria-expanded="false"></a>
                                       <div class="dropdown-menu dropdown-menu-right">
                                        <a class="dropdown-item" href="#" data-toggle="modal" [attr.data-target]="'#show' + i"><span  class="action-edit"><i class="feather icon-eye" style="color:blue;"></i>Voir</span></a>
                           
                                         <a class="dropdown-item" data-toggle="modal" (click)="deletePopup(d.voitureId,d.numeroPolice)"><i class=" feather icon-trash" style="color: red;"></i>Supprimer</a>
                                       </div>
                                     </div>
                                     
                                     </td>

                                     <div class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true" id="show{{i}}">
                                      <div class="modal-dialog modal-lg">
                                        <div class="modal-content">


                                            <!-- invoice functionality start -->
                                            <!-- invoice functionality end -->
                                            <!-- invoice page -->
                                              <div class="row">    
                                                <div class="col-12 col-md-12 d-flex flex-column flex-md-row justify-content-end">
                                                  <button class="btn btn-primary mb-1 mb-md-0 waves-effect waves-light" (click)="print(i)"> <i class="feather icon-file-text"></i> Print{{i}}</button>
                                                </div>
                                              </div>
                                              <div id="HTMLtoPDF{{i}}" class="card-body">
                                                <!-- Invoice Company Details -->
                                                <div id="invoice-company-details" class="row">
                                                  <div class="col-sm-6 col-12 text-left pt-1">
                                                    <div class="media pt-1">
                                                      <img src="assets/app-assets/images/logo/logo.png" alt="company logo">
                                                    </div>
                                                  </div>
                                                  <div class="col-sm-6 col-12 text-right">
                                                    <div class="invoice-details mt-2">
                                                      <h6>NUMERO POLICE:</h6>
                                                      <p>{{d.numeroPolice}}</p>
                                                      <h6 class="mt-2">DATE EFFET</h6>
                                                      <p>{{d.dateEffet |  date:'medium'}}</p>
                                                      <h6 class="mt-2">DATE FIN</h6>
                                                      <p>{{d.dateFin |  date:'medium'}}</p>
                                                    </div>
                                                  </div>
                                                </div>
                                                <!--/ Invoice Company Details -->
                                            
                                                <!-- Invoice Recipient Details -->
                                           <!--
                                                   <ng-container *ngFor="let r of risque">

                                                    <h4 *ngIf="d.risqueId === r.id">Assurance: {{r.nom}}</h4>
                                                    </ng-container>
                                                    <ng-container *ngFor="let f of famille">

                                                      <h4 *ngIf="d.familleproduitId === f.id">Famille Produit: {{f.nom}}</h4>
                                                      </ng-container>
                   
                                           -->     
                                             

                                           <div id="invoice-customer-details" class="row pt-2">
                                            <div class="col-sm-6 col-12 text-left">
                                              <h5>Client</h5>
                                              <ng-container *ngFor="let c of client">
                                                <div *ngIf="d.clientId === c.id">
                                                  <div class="recipient-info my-2">
                                                    
                                                    <p>NOM:{{c.nom}}</p>
                                                    <p>ADRESSE:{{c.adresse}}</p>
                                                    
                                                  </div>
                                                  <div class="recipient-contact pb-2">
                                                    <p>
                                                      <i class="feather icon-mail"></i>
                                                      EMAIL:{{c.email}}
                                                    </p>
                                                    <p>
                                                      <i class="feather icon-phone"></i>
                                                      TEL:{{c.tel}}
                                                    </p>
                                                    <p>
                                                      <i class="feather icon-phone"></i>
                                                      MOBILE:{{c.mobile}}
                                                    </p>
                                                  </div>
                                                 </div>
                                                
                                                </ng-container>
                                             
                                              
                                            </div>
                                            <div class="col-sm-6 col-12 text-right">
                                              <h5>Voiture</h5>

                                              <ng-container *ngFor="let v of voiture">
                                                <div class="company-info my-2" *ngIf="d.voitureId === v.id">
                                                  <p>MATRICULE:{{v.immatriculation}}</p>
                                                  <p>DATE DE PREMIERE MISE EN CIRCULATION:</p><p>{{v.dateMiseEnCirculation |  date:'medium'}}</p>
                                                  <p>MODELE:{{v.modele}}</p>
                                                  <p>MARQUE:{{v.marque}}</p>
                                                  <p>TRIMS:{{v.trims}}</p>
                                                </div>
                                              </ng-container>
                                              
                                              
                                            </div>
                                          </div>
                                                <!--/ Invoice Recipient Details -->
                                            
                                                <!-- Invoice Items Details -->
                                                <div id="invoice-items-details" class="pt-1 invoice-items-table">
                                                  <div class="row">
                                                    <div class="table-responsive col-12">
                                                      <table class="table table-bordered table-striped">
                                                        <thead>
                                                          <tr>
                                                            <th>Garantie</th>
                                                            <th>MontantAssure</th>
                                                            <th>MontantFranchise</th>
                                                          
                                                          </tr>
                                                        </thead>
                                                        <tbody>
                                                        
                                                          <ng-container *ngFor="let dg of devisGarantie">
                                                            <ng-container *ngIf="dg.devis_id === d.id">
                                                              <ng-container *ngFor="let g of garantie">
                                                              <ng-container *ngIf="dg.garantie_id === g.id">
                                                                <tr>
                                                                  <td>{{g.nom}}</td>
                                                                <td>{{g.montantAssure}}</td>
                                                                <td>{{g.montantFranchise}}</td>
                                                                </tr>
                                                                </ng-container>
                                                            </ng-container> 
                                                            </ng-container>
                                                          </ng-container>
                                                         
                                                       
                                                         
                                                        </tbody>
                                                      </table>
                                                    </div>
                                                  </div>
                                                </div>
                                                <div id="invoice-total-details" class="invoice-total-table">
                                                  <div class="row">
                                                    <div class="col-7 offset-5">
                                                      <div class="table-responsive">
                                                        <table class="table table-bordered">
                                                          <tbody>
                                                            
                                                            <tr>
                                                              <th>Montant TTC</th>
                                                              <td>{{d.montantTTC}}</td>
                                                            </tr>
                                                         
                                                          </tbody>
                                                        </table>
                                                      </div>
                                                    </div>
                                                  </div>
                                                </div>
                                            
                                                <!-- Invoice Footer -->
                                                <div id="invoice-total-details" class="text-right pt-3">
                                                  <p>Cette offre est valable {{d.delaiPreavis}} jours et ne vaut pas attestation d'assurance. Elle n'est donnée qu'à titre indicatif et
                                                    n'engage nullement la Compagnie. </p>
                                                  <p>
                                                    Fait le:{{d.created_at |  date:'medium'}}
                                                  </p>
                                                  </div>
                                                <!--/ Invoice Footer -->
                                            
                                              </div>
                                           
                                            <!-- invoice page end -->
                                            
                                                  





                                        </div>
                                      </div>
                                    </div>
                                  </tr>
                                
                                  </tbody>
                              
                          </table>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
  <!-- dataTable ends -->

  <!-- add new sidebar starts -->
 
  <div class="modal modal-danger fade" id="modal-danger2">
    <div class="modal-dialog " role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="myModalLabel4">Suppression Devis</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">
          <p>
          Voulez vous supprimer  Devis 1
          </p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary waves-effect waves-light" data-dismiss="modal">Supprimer</button>
        </div>
      
      </div>
      <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
  </div>
  <!-- add new sidebar ends -->
</section>









